Bug 11753 - требуется control'изировать /etc/sudoers
: требуется control'изировать /etc/sudoers
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sudo)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-13 19:27 by
Modified: 2007-08-05 01:28 (History)


Attachments
naive control(8) support for /etc/sudoers (565 bytes, text/plain)
2007-07-03 13:48, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-13 19:27:41
В /etc/i18n, /root/.i18n, ~/.i18n прописана нормальная локаль ru_RU.UTF-8.
Поиск
конф. файлов содержащих слово POSIX ничего подозрительного не выдает. Тем не
менее запуск чего-то вроде sudo mc выдает изуродованную локаль и невозможность
ориентироваться в собственной файловой системе.

Лично мне необходима возможность видеть и вводить буквы всегда и в любом
случае,
а также копировать файлы нескольких разных пользователей между ними. Мне
безразличны проблемы администрирования серверов. Почему sudo насильно включает
POSIX и ничего не сообщает о возможности настройки? Значит ли это, что вместо
эпизодического sudo надо делать автовход под root всегда так работать?
------- Comment #1 From 2007-05-13 19:29:52 -------
Обнаружил это только что после обновления Сизифа. Крайне расстроен, пытаюсь
откатить назад.
------- Comment #2 From 2007-07-03 13:46:49 -------
Эээ... возможно, тебе хватит в /etc/sudoers:

# Defaults specification
Defaults !env_reset
Defaults !requiretty
Defaults !tty_tickets

(в зависимости от конкретно оказавшейся у тебя сборки что-то из этого могло быть
ненужным)

Багу предлагаю перекрасить в "отсутствие control-файла", довесить оный файл и
сделать Desktop 4.0 release critical, поскольку на десктопе без DISPLAY далеко
не уедешь.

Также по теме:
<AMorozov> Кстати, закиньте кто-нибудь в TODO на sudo:
http://thomas.tanreisoftware.com/?p=58
------- Comment #3 From 2007-07-03 13:48:06 -------
Created an attachment (id=2072) [details]
naive control(8) support for /etc/sudoers

this was mailed again two weeks ago...
------- Comment #4 From 2007-07-03 14:06:17 -------
Кстати, как насчёт
User_Alias X_USERS = %xgrp
Defaults:X_USERS env_keep += "DISPLAY XAUTHORITY"
?
------- Comment #5 From 2007-07-04 14:08:21 -------
Вполне, особенно если роль и содержание группы xgrp будут прозрачны.

Или добавить как режим (server/xgrp/desktop).
------- Comment #6 From 2007-08-01 14:40:37 -------
не блокер для десктопа
------- Comment #7 From 2007-08-04 12:37:55 -------
Это почему это не блокер для десктопа?
Именно для него и блокер. Для не_десктопа это не так уж и важно.

И еще спасибо за рецепт с переменными. Надо только их явно в sudoers прописать с
вменяемыми умолчательными значениями и комментарием.
------- Comment #8 From 2007-08-05 01:28:00 -------
Fixed in 1.6.8p12-alt4.